Package io.vertx.ext.shell.cli

## Interface Completion

-     public interface Completion

  The completion object
  Author:
    Julien Viet

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `complete​(String value, boolean terminal)` | End the completion with a value that will be inserted to complete the line.
    `void` | `complete​(List<String> candidates)` | End the completion with a list of candidates, these candidates will be displayed by the shell on the console.
    `static String` | `findLongestCommonPrefix​(Collection<String> values)` |
    `List<CliToken>` | `lineTokens()` |
    `String` | `rawLine()` |
    `Session` | `session()` |
    `Vertx` | `vertx()` |

- - ### Method Detail

    - #### findLongestCommonPrefix

          static String findLongestCommonPrefix​(Collection<String> values)

    - #### vertx

          Vertx vertx()

      Returns:
        the current Vert.x instance

    - #### session

          Session session()

      Returns:
        the shell current session, useful for accessing data like the current path for file completion, etc...

    - #### rawLine

          String rawLine()

      Returns:
        the current line being completed in raw format, i.e without any char escape performed

    - #### lineTokens

          List<CliToken> lineTokens()

      Returns:
        the current line being completed as preparsed tokens

    - #### complete

          void complete​(List<String> candidates)

      End the completion with a list of candidates, these candidates will be displayed by the shell on the console.
      Parameters:
        `candidates` - the candidates

    - #### complete

          void complete​(String value,
                        boolean terminal)

      End the completion with a value that will be inserted to complete the line.
      Parameters:
        `value` - the value to complete with
        `terminal` - true if the value is terminal, i.e can be further completed